Add role pair
POST
/api/discord-sync/pairsPair a group role with a Discord role.
Needs the ManageDiscordSync permission.
AuthorizationBearer <token>
An API key, made on Settings, API keys. Every key starts with mbk_.
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/problem+json
application/problem+json
application/problem+json
curl -X POST "https://example.com/api/discord-sync/pairs" \ -H "Content-Type: application/json" \ -d '{ "vrChatRoleId": "string", "discordRoleId": "string", "decides": "string", "enabled": true }'{ "roleSyncOn": true, "banSyncToDiscord": true, "banSyncToVRChat": true, "banSyncFromBots": true, "banCopyAction": "string", "botCanBanMembers": true, "botCanRemoveMembers": true, "botCanManageRoles": true, "rolesRanAt": null, "rolesProblem": null, "bansReadAt": null, "bansProblem": null, "pairs": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "vrChatRoleId": "string", "vrChatRoleName": null, "discordRoleId": "string", "discordRoleName": null, "decides": "string", "enabled": true, "botCanAssign": true, "rank": null, "problem": null } ], "groupRoles": [ { "id": "string", "name": "string" } ]}